Subject: Re: git tag truncates tag list

From: [email-masked]
Date: Tue, 5 Jan 2021 18:12:06 +0100 (CET)

Yes, sorry, they are there, it is only the sort order placing the newest ones further up in the list. Using page down to go down the long list of numerous screenfuls, the missing ones were not shown on the final screen so I didn't see them, and it ended at 5.9-rc8 instead of going to 5.10 and 5.11 as I had expected. I thought perhaps there was some limit on the number of tags shown, but couldn't find any reference to a limit searching online, and less itself can display long man pages without problem.

git --no-pager tag
shows the same thing
echo $LESS
echo $GIT_PAGER
git config core.pager
git config pager.tag

All return nothing.

echo $PAGER
less
Changing PAGER to more uses more for git tag instead, but gives the same result. So this was indeed using less as the pager.

Thank you for the helpful answers, I've only used git with smaller repos before and hadn't encountered that effect previously.